org.apache.sysds.runtime.compress.cost

## Enum CostEstimatorFactory.CostType

- java.lang.Object
- - java.lang.Enum<CostEstimatorFactory.CostType>
  - - org.apache.sysds.runtime.compress.cost.CostEstimatorFactory.CostType

All Implemented Interfaces:
  Serializable, Comparable<CostEstimatorFactory.CostType>

Enclosing class:
  CostEstimatorFactory

    public static enum CostEstimatorFactory.CostType
    extends Enum<CostEstimatorFactory.CostType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTO`
`DISTINCT`
`HYBRID_W_TREE`
`MEMORY`
`W_TREE`

### Method Summary

All Methods Static Methods Concrete Methods
`static CostEstimatorFactory.CostType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CostEstimatorFactory.CostType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MEMORY

    public static final CostEstimatorFactory.CostType MEMORY

#### W_TREE

    public static final CostEstimatorFactory.CostType W_TREE

#### HYBRID_W_TREE

    public static final CostEstimatorFactory.CostType HYBRID_W_TREE

#### DISTINCT

    public static final CostEstimatorFactory.CostType DISTINCT

#### AUTO

    public static final CostEstimatorFactory.CostType AUTO

### Method Detail

#### values

    public static CostEstimatorFactory.CostType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CostEstimatorFactory.CostType c : CostEstimatorFactory.CostType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CostEstimatorFactory.CostType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null